Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.renderer
Interface PolarItemRenderer

All Known Implementing Classes:
  DefaultPolarItemRenderer

public interface PolarItemRenderer

The interface for a renderer that can be used by the `PolarPlot` class.

Method Summary
`void` | `addChangeListener(RendererChangeListener listener)` Adds a change listener.
`void` | `drawAngularGridLines(java.awt.Graphics2D g2, PolarPlot plot, java.util.List ticks, java.awt.geom.Rectangle2D dataArea)` Draw the angular gridlines - the spokes.
`void` | `drawRadialGridLines(java.awt.Graphics2D g2, PolarPlot plot, ValueAxis radialAxis, java.util.List ticks, java.awt.geom.Rectangle2D dataArea)` Draw the radial gridlines - the rings.
`void` | `drawSeries(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D dataArea, PlotRenderingInfo info, PolarPlot plot, XYDataset dataset, int seriesIndex)` Plots the data for a given series.
`LegendItem` | `getLegendItem(int series)` Return the legend for the given series.
`PolarPlot` | `getPlot()` Returns the plot that this renderer has been assigned to.
`void` | `removeChangeListener(RendererChangeListener listener)` Removes a change listener.
`void` | `setPlot(PolarPlot plot)` Sets the plot that this renderer is assigned to.

Method Detail

### drawSeries

    public void drawSeries(java.awt.Graphics2D g2,
                           java.awt.geom.Rectangle2D dataArea,
                           PlotRenderingInfo info,
                           PolarPlot plot,
                           XYDataset dataset,
                           int seriesIndex)

  Plots the data for a given series.

  Parameters:
    `g2` - the drawing surface.
    `dataArea` - the data area.
    `info` - collects plot rendering info.
    `plot` - the plot.
    `dataset` - the dataset.
    `seriesIndex` - the series index.

### drawAngularGridLines

    public void drawAngularGridLines(java.awt.Graphics2D g2,
                                     PolarPlot plot,
                                     java.util.List ticks,
                                     java.awt.geom.Rectangle2D dataArea)

  Draw the angular gridlines - the spokes.

  Parameters:
    `g2` - the drawing surface.
    `plot` - the plot.
    `ticks` - the ticks.
    `dataArea` - the data area.

### drawRadialGridLines

    public void drawRadialGridLines(java.awt.Graphics2D g2,
                                    PolarPlot plot,
                                    ValueAxis radialAxis,
                                    java.util.List ticks,
                                    java.awt.geom.Rectangle2D dataArea)

  Draw the radial gridlines - the rings.

  Parameters:
    `g2` - the drawing surface.
    `plot` - the plot.
    `radialAxis` - the radial axis.
    `ticks` - the ticks.
    `dataArea` - the data area.

### getLegendItem

    public LegendItem getLegendItem(int series)

  Return the legend for the given series.

  Parameters:
    `series` - the series index.
  Returns:
    The legend item.

### getPlot

    public PolarPlot getPlot()

  Returns the plot that this renderer has been assigned to.

  Returns:
    the plot.

### setPlot

    public void setPlot(PolarPlot plot)

  Sets the plot that this renderer is assigned to.

  This method will be called by the plot class...you do not need to call it yourself.

  Parameters:
    `plot` - the plot.

### addChangeListener

    public void addChangeListener(RendererChangeListener listener)

  Adds a change listener.

  Parameters:
    `listener` - the listener.

### removeChangeListener

    public void removeChangeListener(RendererChangeListener listener)

  Removes a change listener.

  Parameters:
    `listener` - the listener.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD